summaryrefslogtreecommitdiffstats
path: root/recipes/exalt/exalt-daemon/init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/exalt/exalt-daemon/init')
-rw-r--r--recipes/exalt/exalt-daemon/init37
1 files changed, 37 insertions, 0 deletions
diff --git a/recipes/exalt/exalt-daemon/init b/recipes/exalt/exalt-daemon/init
new file mode 100644
index 0000000000..cbceed1793
--- /dev/null
+++ b/recipes/exalt/exalt-daemon/init
@@ -0,0 +1,37 @@
+#!/bin/sh
+set -e
+
+#need dbus and hald
+
+start() {
+ echo -n "Starting Exalt daemon..."
+ start-stop-daemon --start --exec /usr/sbin/exalt-daemon \
+ --pidfile /var/run/exaltd.pid
+ echo "done."
+}
+
+stop() {
+ echo -n "Stopping Exalt daemon..."
+ start-stop-daemon --stop --exec /usr/sbin/exalt-daemon \
+ --pidfile /var/run/exaltd.pid
+ echo "done."
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ sleep 2
+ start
+ ;;
+ *)
+ echo "Usage: $(basename $0) {start|stop|restart}"
+ exit 1
+esac
+
+exit 0